zenilib: vorbis_dsp_state Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
vorbis_dsp_state Struct Reference

`#include <codec.h>`

## Public Attributes

int | analysisp
void * | backend_state
long | centerW
int | eofflag
ogg_int64_t | floor_bits
ogg_int64_t | glue_bits
ogg_int64_t | granulepos
long | lW
long | nW
float ** | pcm
int | pcm_current
int | pcm_returned
int | pcm_storage
float ** | pcmret
int | preextrapolate
ogg_int64_t | res_bits
ogg_int64_t | sequence
ogg_int64_t | time_bits
vorbis_info * | vi
long | W

## Detailed Description

Definition at line 59 of file codec.h.

## Member Data Documentation

int vorbis_dsp_state::analysisp

Definition at line 60 of file codec.h.

Referenced by _vds_shared_init(), and vorbis_block_init().

void* vorbis_dsp_state::backend_state

Definition at line 85 of file codec.h.

Referenced by _vds_shared_init(), _ve_envelope_mark(), _ve_envelope_search(), mapping0_forward(), mapping0_inverse(), vorbis_analysis_blockout(), vorbis_analysis_buffer(), vorbis_analysis_headerout(), vorbis_analysis_init(), vorbis_bitrate_addblock(), vorbis_bitrate_flushpacket(), vorbis_bitrate_managed(), vorbis_dsp_clear(), vorbis_synthesis(), vorbis_synthesis_blockin(), vorbis_synthesis_restart(), vorbis_synthesis_trackonly(), and vorbis_window().

long vorbis_dsp_state::centerW

Definition at line 75 of file codec.h.

Referenced by _preextrapolate_helper(), _vds_shared_init(), _ve_envelope_mark(), _ve_envelope_search(), vorbis_analysis_blockout(), vorbis_analysis_wrote(), vorbis_synthesis_blockin(), vorbis_synthesis_lapout(), and vorbis_synthesis_restart().

int vorbis_dsp_state::eofflag

Definition at line 70 of file codec.h.

Referenced by vorbis_analysis_blockout(), vorbis_analysis_wrote(), vorbis_synthesis_blockin(), and vorbis_synthesis_restart().

ogg_int64_t vorbis_dsp_state::floor_bits

Definition at line 82 of file codec.h.

Referenced by vorbis_synthesis_blockin().

ogg_int64_t vorbis_dsp_state::glue_bits

Definition at line 80 of file codec.h.

Referenced by vorbis_synthesis_blockin().

ogg_int64_t vorbis_dsp_state::granulepos

Definition at line 77 of file codec.h.

Referenced by vorbis_analysis_blockout(), vorbis_synthesis_blockin(), and vorbis_synthesis_restart().

long vorbis_dsp_state::lW

Definition at line 72 of file codec.h.

Referenced by _vds_shared_init(), _ve_envelope_mark(), vorbis_analysis_blockout(), vorbis_synthesis_blockin(), and vorbis_synthesis_lapout().

long vorbis_dsp_state::nW

Definition at line 74 of file codec.h.

Referenced by _ve_envelope_mark(), vorbis_analysis_blockout(), and vorbis_synthesis_blockin().

float** vorbis_dsp_state::pcm

Definition at line 63 of file codec.h.

Referenced by _preextrapolate_helper(), _vds_shared_init(), _ve_envelope_search(), vorbis_analysis_blockout(), vorbis_analysis_buffer(), vorbis_analysis_wrote(), vorbis_dsp_clear(), vorbis_synthesis_blockin(), vorbis_synthesis_lapout(), and vorbis_synthesis_pcmout().

int vorbis_dsp_state::pcm_current

Definition at line 66 of file codec.h.

Referenced by _preextrapolate_helper(), _vds_shared_init(), _ve_envelope_search(), vorbis_analysis_blockout(), vorbis_analysis_buffer(), vorbis_analysis_wrote(), vorbis_synthesis_blockin(), vorbis_synthesis_lapout(), vorbis_synthesis_pcmout(), vorbis_synthesis_read(), and vorbis_synthesis_restart().

int vorbis_dsp_state::pcm_returned

Definition at line 67 of file codec.h.

Referenced by vorbis_synthesis_blockin(), vorbis_synthesis_lapout(), vorbis_synthesis_pcmout(), vorbis_synthesis_read(), and vorbis_synthesis_restart().

int vorbis_dsp_state::pcm_storage

Definition at line 65 of file codec.h.

Referenced by _vds_shared_init(), vorbis_analysis_buffer(), and vorbis_analysis_wrote().

float** vorbis_dsp_state::pcmret

Definition at line 64 of file codec.h.

Referenced by _vds_shared_init(), vorbis_analysis_buffer(), vorbis_dsp_clear(), vorbis_synthesis_lapout(), and vorbis_synthesis_pcmout().

int vorbis_dsp_state::preextrapolate

Definition at line 69 of file codec.h.

Referenced by _preextrapolate_helper(), vorbis_analysis_blockout(), and vorbis_analysis_wrote().

ogg_int64_t vorbis_dsp_state::res_bits

Definition at line 83 of file codec.h.

Referenced by vorbis_synthesis_blockin().

ogg_int64_t vorbis_dsp_state::sequence

Definition at line 78 of file codec.h.

Referenced by vorbis_analysis_blockout(), vorbis_analysis_init(), vorbis_synthesis_blockin(), and vorbis_synthesis_restart().

ogg_int64_t vorbis_dsp_state::time_bits

Definition at line 81 of file codec.h.

Referenced by vorbis_synthesis_blockin().

vorbis_info* vorbis_dsp_state::vi

Definition at line 61 of file codec.h.

Referenced by _preextrapolate_helper(), _vds_shared_init(), _ve_envelope_mark(), _ve_envelope_search(), _vp_ampmax_decay(), floor0_inverse1(), floor0_map_lazy_init(), floor1_encode(), floor1_inverse1(), floor1_inverse2(), main(), mapping0_forward(), mapping0_inverse(), res0_look(), vorbis_analysis_blockout(), vorbis_analysis_buffer(), vorbis_analysis_headerout(), vorbis_analysis_wrote(), vorbis_bitrate_addblock(), vorbis_dsp_clear(), vorbis_granule_time(), vorbis_synthesis(), vorbis_synthesis_blockin(), vorbis_synthesis_lapout(), vorbis_synthesis_pcmout(), vorbis_synthesis_restart(), vorbis_synthesis_trackonly(), and vorbis_window().

long vorbis_dsp_state::W

Definition at line 73 of file codec.h.

Referenced by _vds_shared_init(), _ve_envelope_mark(), _ve_envelope_search(), _vp_ampmax_decay(), vorbis_analysis_blockout(), vorbis_synthesis_blockin(), and vorbis_synthesis_lapout().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libvorbis/include/vorbis/codec.h